E-MailRelay

Public Member Functions | List of all members
GNet::LineStoreIterator Class Reference

An iterator class for GNet::LineStore. More...

Inheritance diagram for GNet::LineStoreIterator:

## Public Member Functions
| LineStoreIterator (const LineStore &line_store, bool end=false)
| LineStoreIterator (const LineStoreIterator &other)
| LineStoreIterator (LineStoreIterator &&other) noexcept
void | swap (LineStoreIterator &other) noexcept
LineStoreIterator & | operator= (const LineStoreIterator &other)
LineStoreIterator & | operator= (LineStoreIterator &&other) noexcept
LineStoreIterator & | operator++ ()
LineStoreIterator & | operator-- ()
bool | operator== (const LineStoreIterator &other) const
bool | operator!= (const LineStoreIterator &other) const
bool | operator< (const LineStoreIterator &other) const
bool | operator<= (const LineStoreIterator &other) const
bool | operator> (const LineStoreIterator &other) const
bool | operator>= (const LineStoreIterator &other) const
char | operator* () const
char | operator[] (std::size_t n) const
void | operator+= (ptrdiff_t n)
void | operator-= (ptrdiff_t n)
ptrdiff_t | distanceTo (const LineStoreIterator &other) const
std::size_t | pos () const

## Detailed Description

An iterator class for GNet::LineStore.

Definition at line 36 of file glinestore.cpp.

## Constructor & Destructor Documentation

## ◆ LineStoreIterator() [1/3]

GNet::LineStoreIterator::LineStoreIterator | ( | const LineStore & | line_store,
|  | bool | end = `false`
| ) |  |
| inline explicit

Definition at line 42 of file glinestore.cpp.

## ◆ LineStoreIterator() [2/3]

GNet::LineStoreIterator::LineStoreIterator | ( | const LineStoreIterator & | other | ) |
| inline

Definition at line 47 of file glinestore.cpp.

## ◆ LineStoreIterator() [3/3]

GNet::LineStoreIterator::LineStoreIterator | ( | LineStoreIterator && | other | ) |
| inline noexcept

Definition at line 52 of file glinestore.cpp.

## Member Function Documentation

## ◆ distanceTo()

ptrdiff_t GNet::LineStoreIterator::distanceTo | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 134 of file glinestore.cpp.

## ◆ operator!=()

bool GNet::LineStoreIterator::operator!= | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 86 of file glinestore.cpp.

## ◆ operator*()

char GNet::LineStoreIterator::operator* | ( |  | ) | const
| inline

Definition at line 106 of file glinestore.cpp.

## ◆ operator++()

LineStoreIterator & GNet::LineStoreIterator::operator++ | ( |  | ) |
| inline

Definition at line 72 of file glinestore.cpp.

## ◆ operator+=()

void GNet::LineStoreIterator::operator+= | ( | ptrdiff_t | n | ) |
| inline

Definition at line 120 of file glinestore.cpp.

## ◆ operator--()

LineStoreIterator & GNet::LineStoreIterator::operator-- | ( |  | ) |
| inline

Definition at line 77 of file glinestore.cpp.

## ◆ operator-=()

void GNet::LineStoreIterator::operator-= | ( | ptrdiff_t | n | ) |
| inline

Definition at line 127 of file glinestore.cpp.

## ◆ operator<()

bool GNet::LineStoreIterator::operator< | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 90 of file glinestore.cpp.

## ◆ operator<=()

bool GNet::LineStoreIterator::operator<= | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 94 of file glinestore.cpp.

## ◆ operator=() [1/2]

LineStoreIterator & GNet::LineStoreIterator::operator= | ( | const LineStoreIterator & | other | ) |
| inline

Definition at line 63 of file glinestore.cpp.

## ◆ operator=() [2/2]

LineStoreIterator & GNet::LineStoreIterator::operator= | ( | LineStoreIterator && | other | ) |
| inline noexcept

Definition at line 67 of file glinestore.cpp.

## ◆ operator==()

bool GNet::LineStoreIterator::operator== | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 82 of file glinestore.cpp.

## ◆ operator>()

bool GNet::LineStoreIterator::operator> | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 98 of file glinestore.cpp.

## ◆ operator>=()

bool GNet::LineStoreIterator::operator>= | ( | const LineStoreIterator & | other | ) | const
| inline

Definition at line 102 of file glinestore.cpp.

## ◆ operator[]()

char GNet::LineStoreIterator::operator[] | ( | std::size_t | n | ) | const
| inline

Definition at line 113 of file glinestore.cpp.

## ◆ pos()

std::size_t GNet::LineStoreIterator::pos | ( |  | ) | const
| inline

Definition at line 141 of file glinestore.cpp.

## ◆ swap()

void GNet::LineStoreIterator::swap | ( | LineStoreIterator & | other | ) |
| inline noexcept

Definition at line 57 of file glinestore.cpp.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/glinestore.cpp